io.swagger.client.model

## Class ContractList

- java.lang.Object
- - io.swagger.client.model.ContractList

-     public class ContractList
      extends Object

  ContractList

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractList` | `addContractsItem(Contract contractsItem)`
    `ContractList` | `contracts(List<Contract> contracts)`
    `boolean` | `equals(Object o)`
    `List<Contract>` | `getContracts()` Get contracts
    `String` | `getNextLink()` Get nextLink
    `int` | `hashCode()`
    `ContractList` | `nextLink(String nextLink)`
    `void` | `setContracts(List<Contract> contracts)`
    `void` | `setNextLink(String nextLink)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractList

          public ContractList()

  - ### Method Detail

    - #### nextLink

          public ContractList nextLink(String nextLink)

    - #### getNextLink

          public String getNextLink()

      Get nextLink
      Returns:
        nextLink

    - #### setNextLink

          public void setNextLink(String nextLink)

    - #### contracts

          public ContractList contracts(List<Contract> contracts)

    - #### addContractsItem

          public ContractList addContractsItem(Contract contractsItem)

    - #### getContracts

          public List<Contract> getContracts()

      Get contracts
      Returns:
        contracts

    - #### setContracts

          public void setContracts(List<Contract> contracts)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.